Skip to content

Import Skill from External Source

POST
/api/v3/organizations/{organisation}/ai/skills/import

Imports a skill from an external source like skills.sh registry or GitHub repository. * * Supported Sources: * - skills.sh: Import from the skills.sh community registry * - github: Import from a GitHub repository (public or private) * * Version Control: * - Skills can be pinned to specific versions * - Use the sync endpoint to update to latest version

Authorizations

Parameters

Path Parameters

organisation
required
string

The organisation ID

Request Body required

object
source
required
object
type
required
string
Allowed values: skills.sh github
url
string
repo
string
path
string
version
string
name
string
description
string
tags
Array<string>
triggerCondition
string
requiredTools
Array<string>
disableModelInvocation
boolean
allowedTools
Array<string>
installedBy
string

Responses

201

Skill imported successfully

object
skill
object
message
string

400

Invalid request parameters

403

Access denied

500

Failed to import skill

502

Failed to fetch skill from source